import { GraphQLInputObjectType, GraphQLInt, GraphQLList, GraphQLString } from 'graphql';

import { createModuleNameFromMetaUrl } from '../../../_helpers/common';

export const PAYLOAD_NAME = createModuleNameFromMetaUrl(import.meta.url);

export default new GraphQLInputObjectType({
  name: PAYLOAD_NAME,
  fields: {
    field: {
      type: GraphQLString,
    },
    ids: {
      type: new GraphQLList(GraphQLInt),
    },
    value: {
      type: GraphQLString,
    },
  },
});
